org.apache.lucene.luke.models.analysis

## Class Analysis.NamedTokens

- java.lang.Object
- - org.apache.lucene.luke.models.analysis.Analysis.NamedObject
  - - org.apache.lucene.luke.models.analysis.Analysis.NamedTokens

- Enclosing interface:
    Analysis

      public static class Analysis.NamedTokens
      extends Analysis.NamedObject

  Holder for a pair tokenizer/filter and token list

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Analysis.Token>` | `getTokens()`

    - ### Methods inherited from class org.apache.lucene.luke.models.analysis.Analysis.NamedObject

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTokens

          public List<Analysis.Token> getTokens()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.